Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network240.37.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
240.37.0.0
Broadcast address
240.37.255.255
First usable
240.37.0.1
Last usable
240.37.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F0250000 · Integer 4028956672 to 4029022207
Reverse DNS zone
37.240.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110000.00100101..00000000.00000000240.37.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network11110000.00100101..00000000.00000000240.37.0.0
Broadcast11110000.00100101..11111111.11111111240.37.255.255
Split into smaller subnets/27

240.37.0.0/16 makes 2,048 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1240.37.0.0/27240.37.0.1 to 240.37.0.30240.37.0.3130
2240.37.0.32/27240.37.0.33 to 240.37.0.62240.37.0.6330
3240.37.0.64/27240.37.0.65 to 240.37.0.94240.37.0.9530
4240.37.0.96/27240.37.0.97 to 240.37.0.126240.37.0.12730
5240.37.0.128/27240.37.0.129 to 240.37.0.158240.37.0.15930
6240.37.0.160/27240.37.0.161 to 240.37.0.190240.37.0.19130
7240.37.0.192/27240.37.0.193 to 240.37.0.222240.37.0.22330
8240.37.0.224/27240.37.0.225 to 240.37.0.254240.37.0.25530
9240.37.1.0/27240.37.1.1 to 240.37.1.30240.37.1.3130
10240.37.1.32/27240.37.1.33 to 240.37.1.62240.37.1.6330
11240.37.1.64/27240.37.1.65 to 240.37.1.94240.37.1.9530
12240.37.1.96/27240.37.1.97 to 240.37.1.126240.37.1.12730
13240.37.1.128/27240.37.1.129 to 240.37.1.158240.37.1.15930
14240.37.1.160/27240.37.1.161 to 240.37.1.190240.37.1.19130
15240.37.1.192/27240.37.1.193 to 240.37.1.222240.37.1.22330
16240.37.1.224/27240.37.1.225 to 240.37.1.254240.37.1.25530
17240.37.2.0/27240.37.2.1 to 240.37.2.30240.37.2.3130
18240.37.2.32/27240.37.2.33 to 240.37.2.62240.37.2.6330
19240.37.2.64/27240.37.2.65 to 240.37.2.94240.37.2.9530
20240.37.2.96/27240.37.2.97 to 240.37.2.126240.37.2.12730
21240.37.2.128/27240.37.2.129 to 240.37.2.158240.37.2.15930
22240.37.2.160/27240.37.2.161 to 240.37.2.190240.37.2.19130
23240.37.2.192/27240.37.2.193 to 240.37.2.222240.37.2.22330
24240.37.2.224/27240.37.2.225 to 240.37.2.254240.37.2.25530
25240.37.3.0/27240.37.3.1 to 240.37.3.30240.37.3.3130
26240.37.3.32/27240.37.3.33 to 240.37.3.62240.37.3.6330
27240.37.3.64/27240.37.3.65 to 240.37.3.94240.37.3.9530
28240.37.3.96/27240.37.3.97 to 240.37.3.126240.37.3.12730
29240.37.3.128/27240.37.3.129 to 240.37.3.158240.37.3.15930
30240.37.3.160/27240.37.3.161 to 240.37.3.190240.37.3.19130
31240.37.3.192/27240.37.3.193 to 240.37.3.222240.37.3.22330
32240.37.3.224/27240.37.3.225 to 240.37.3.254240.37.3.25530
33240.37.4.0/27240.37.4.1 to 240.37.4.30240.37.4.3130
34240.37.4.32/27240.37.4.33 to 240.37.4.62240.37.4.6330
35240.37.4.64/27240.37.4.65 to 240.37.4.94240.37.4.9530
36240.37.4.96/27240.37.4.97 to 240.37.4.126240.37.4.12730
37240.37.4.128/27240.37.4.129 to 240.37.4.158240.37.4.15930
38240.37.4.160/27240.37.4.161 to 240.37.4.190240.37.4.19130
39240.37.4.192/27240.37.4.193 to 240.37.4.222240.37.4.22330
40240.37.4.224/27240.37.4.225 to 240.37.4.254240.37.4.25530
41240.37.5.0/27240.37.5.1 to 240.37.5.30240.37.5.3130
42240.37.5.32/27240.37.5.33 to 240.37.5.62240.37.5.6330
43240.37.5.64/27240.37.5.65 to 240.37.5.94240.37.5.9530
44240.37.5.96/27240.37.5.97 to 240.37.5.126240.37.5.12730
45240.37.5.128/27240.37.5.129 to 240.37.5.158240.37.5.15930
46240.37.5.160/27240.37.5.161 to 240.37.5.190240.37.5.19130
47240.37.5.192/27240.37.5.193 to 240.37.5.222240.37.5.22330
48240.37.5.224/27240.37.5.225 to 240.37.5.254240.37.5.25530
49240.37.6.0/27240.37.6.1 to 240.37.6.30240.37.6.3130
50240.37.6.32/27240.37.6.33 to 240.37.6.62240.37.6.6330
51240.37.6.64/27240.37.6.65 to 240.37.6.94240.37.6.9530
52240.37.6.96/27240.37.6.97 to 240.37.6.126240.37.6.12730
53240.37.6.128/27240.37.6.129 to 240.37.6.158240.37.6.15930
54240.37.6.160/27240.37.6.161 to 240.37.6.190240.37.6.19130
55240.37.6.192/27240.37.6.193 to 240.37.6.222240.37.6.22330
56240.37.6.224/27240.37.6.225 to 240.37.6.254240.37.6.25530
57240.37.7.0/27240.37.7.1 to 240.37.7.30240.37.7.3130
58240.37.7.32/27240.37.7.33 to 240.37.7.62240.37.7.6330
59240.37.7.64/27240.37.7.65 to 240.37.7.94240.37.7.9530
60240.37.7.96/27240.37.7.97 to 240.37.7.126240.37.7.12730
61240.37.7.128/27240.37.7.129 to 240.37.7.158240.37.7.15930
62240.37.7.160/27240.37.7.161 to 240.37.7.190240.37.7.19130
63240.37.7.192/27240.37.7.193 to 240.37.7.222240.37.7.22330
64240.37.7.224/27240.37.7.225 to 240.37.7.254240.37.7.25530
65240.37.8.0/27240.37.8.1 to 240.37.8.30240.37.8.3130
66240.37.8.32/27240.37.8.33 to 240.37.8.62240.37.8.6330
67240.37.8.64/27240.37.8.65 to 240.37.8.94240.37.8.9530
68240.37.8.96/27240.37.8.97 to 240.37.8.126240.37.8.12730
69240.37.8.128/27240.37.8.129 to 240.37.8.158240.37.8.15930
70240.37.8.160/27240.37.8.161 to 240.37.8.190240.37.8.19130
71240.37.8.192/27240.37.8.193 to 240.37.8.222240.37.8.22330
72240.37.8.224/27240.37.8.225 to 240.37.8.254240.37.8.25530
73240.37.9.0/27240.37.9.1 to 240.37.9.30240.37.9.3130
74240.37.9.32/27240.37.9.33 to 240.37.9.62240.37.9.6330
75240.37.9.64/27240.37.9.65 to 240.37.9.94240.37.9.9530
76240.37.9.96/27240.37.9.97 to 240.37.9.126240.37.9.12730
77240.37.9.128/27240.37.9.129 to 240.37.9.158240.37.9.15930
78240.37.9.160/27240.37.9.161 to 240.37.9.190240.37.9.19130
79240.37.9.192/27240.37.9.193 to 240.37.9.222240.37.9.22330
80240.37.9.224/27240.37.9.225 to 240.37.9.254240.37.9.25530
81240.37.10.0/27240.37.10.1 to 240.37.10.30240.37.10.3130
82240.37.10.32/27240.37.10.33 to 240.37.10.62240.37.10.6330
83240.37.10.64/27240.37.10.65 to 240.37.10.94240.37.10.9530
84240.37.10.96/27240.37.10.97 to 240.37.10.126240.37.10.12730
85240.37.10.128/27240.37.10.129 to 240.37.10.158240.37.10.15930
86240.37.10.160/27240.37.10.161 to 240.37.10.190240.37.10.19130
87240.37.10.192/27240.37.10.193 to 240.37.10.222240.37.10.22330
88240.37.10.224/27240.37.10.225 to 240.37.10.254240.37.10.25530
89240.37.11.0/27240.37.11.1 to 240.37.11.30240.37.11.3130
90240.37.11.32/27240.37.11.33 to 240.37.11.62240.37.11.6330
91240.37.11.64/27240.37.11.65 to 240.37.11.94240.37.11.9530
92240.37.11.96/27240.37.11.97 to 240.37.11.126240.37.11.12730
93240.37.11.128/27240.37.11.129 to 240.37.11.158240.37.11.15930
94240.37.11.160/27240.37.11.161 to 240.37.11.190240.37.11.19130
95240.37.11.192/27240.37.11.193 to 240.37.11.222240.37.11.22330
96240.37.11.224/27240.37.11.225 to 240.37.11.254240.37.11.25530
97240.37.12.0/27240.37.12.1 to 240.37.12.30240.37.12.3130
98240.37.12.32/27240.37.12.33 to 240.37.12.62240.37.12.6330
99240.37.12.64/27240.37.12.65 to 240.37.12.94240.37.12.9530
100240.37.12.96/27240.37.12.97 to 240.37.12.126240.37.12.12730
101240.37.12.128/27240.37.12.129 to 240.37.12.158240.37.12.15930
102240.37.12.160/27240.37.12.161 to 240.37.12.190240.37.12.19130
103240.37.12.192/27240.37.12.193 to 240.37.12.222240.37.12.22330
104240.37.12.224/27240.37.12.225 to 240.37.12.254240.37.12.25530
105240.37.13.0/27240.37.13.1 to 240.37.13.30240.37.13.3130
106240.37.13.32/27240.37.13.33 to 240.37.13.62240.37.13.6330
107240.37.13.64/27240.37.13.65 to 240.37.13.94240.37.13.9530
108240.37.13.96/27240.37.13.97 to 240.37.13.126240.37.13.12730
109240.37.13.128/27240.37.13.129 to 240.37.13.158240.37.13.15930
110240.37.13.160/27240.37.13.161 to 240.37.13.190240.37.13.19130
111240.37.13.192/27240.37.13.193 to 240.37.13.222240.37.13.22330
112240.37.13.224/27240.37.13.225 to 240.37.13.254240.37.13.25530
113240.37.14.0/27240.37.14.1 to 240.37.14.30240.37.14.3130
114240.37.14.32/27240.37.14.33 to 240.37.14.62240.37.14.6330
115240.37.14.64/27240.37.14.65 to 240.37.14.94240.37.14.9530
116240.37.14.96/27240.37.14.97 to 240.37.14.126240.37.14.12730
117240.37.14.128/27240.37.14.129 to 240.37.14.158240.37.14.15930
118240.37.14.160/27240.37.14.161 to 240.37.14.190240.37.14.19130
119240.37.14.192/27240.37.14.193 to 240.37.14.222240.37.14.22330
120240.37.14.224/27240.37.14.225 to 240.37.14.254240.37.14.25530
121240.37.15.0/27240.37.15.1 to 240.37.15.30240.37.15.3130
122240.37.15.32/27240.37.15.33 to 240.37.15.62240.37.15.6330
123240.37.15.64/27240.37.15.65 to 240.37.15.94240.37.15.9530
124240.37.15.96/27240.37.15.97 to 240.37.15.126240.37.15.12730
125240.37.15.128/27240.37.15.129 to 240.37.15.158240.37.15.15930
126240.37.15.160/27240.37.15.161 to 240.37.15.190240.37.15.19130
127240.37.15.192/27240.37.15.193 to 240.37.15.222240.37.15.22330
128240.37.15.224/27240.37.15.225 to 240.37.15.254240.37.15.25530
129240.37.16.0/27240.37.16.1 to 240.37.16.30240.37.16.3130
130240.37.16.32/27240.37.16.33 to 240.37.16.62240.37.16.6330
131240.37.16.64/27240.37.16.65 to 240.37.16.94240.37.16.9530
132240.37.16.96/27240.37.16.97 to 240.37.16.126240.37.16.12730
133240.37.16.128/27240.37.16.129 to 240.37.16.158240.37.16.15930
134240.37.16.160/27240.37.16.161 to 240.37.16.190240.37.16.19130
135240.37.16.192/27240.37.16.193 to 240.37.16.222240.37.16.22330
136240.37.16.224/27240.37.16.225 to 240.37.16.254240.37.16.25530
137240.37.17.0/27240.37.17.1 to 240.37.17.30240.37.17.3130
138240.37.17.32/27240.37.17.33 to 240.37.17.62240.37.17.6330
139240.37.17.64/27240.37.17.65 to 240.37.17.94240.37.17.9530
140240.37.17.96/27240.37.17.97 to 240.37.17.126240.37.17.12730
141240.37.17.128/27240.37.17.129 to 240.37.17.158240.37.17.15930
142240.37.17.160/27240.37.17.161 to 240.37.17.190240.37.17.19130
143240.37.17.192/27240.37.17.193 to 240.37.17.222240.37.17.22330
144240.37.17.224/27240.37.17.225 to 240.37.17.254240.37.17.25530
145240.37.18.0/27240.37.18.1 to 240.37.18.30240.37.18.3130
146240.37.18.32/27240.37.18.33 to 240.37.18.62240.37.18.6330
147240.37.18.64/27240.37.18.65 to 240.37.18.94240.37.18.9530
148240.37.18.96/27240.37.18.97 to 240.37.18.126240.37.18.12730
149240.37.18.128/27240.37.18.129 to 240.37.18.158240.37.18.15930
150240.37.18.160/27240.37.18.161 to 240.37.18.190240.37.18.19130
151240.37.18.192/27240.37.18.193 to 240.37.18.222240.37.18.22330
152240.37.18.224/27240.37.18.225 to 240.37.18.254240.37.18.25530
153240.37.19.0/27240.37.19.1 to 240.37.19.30240.37.19.3130
154240.37.19.32/27240.37.19.33 to 240.37.19.62240.37.19.6330
155240.37.19.64/27240.37.19.65 to 240.37.19.94240.37.19.9530
156240.37.19.96/27240.37.19.97 to 240.37.19.126240.37.19.12730
157240.37.19.128/27240.37.19.129 to 240.37.19.158240.37.19.15930
158240.37.19.160/27240.37.19.161 to 240.37.19.190240.37.19.19130
159240.37.19.192/27240.37.19.193 to 240.37.19.222240.37.19.22330
160240.37.19.224/27240.37.19.225 to 240.37.19.254240.37.19.25530
161240.37.20.0/27240.37.20.1 to 240.37.20.30240.37.20.3130
162240.37.20.32/27240.37.20.33 to 240.37.20.62240.37.20.6330
163240.37.20.64/27240.37.20.65 to 240.37.20.94240.37.20.9530
164240.37.20.96/27240.37.20.97 to 240.37.20.126240.37.20.12730
165240.37.20.128/27240.37.20.129 to 240.37.20.158240.37.20.15930
166240.37.20.160/27240.37.20.161 to 240.37.20.190240.37.20.19130
167240.37.20.192/27240.37.20.193 to 240.37.20.222240.37.20.22330
168240.37.20.224/27240.37.20.225 to 240.37.20.254240.37.20.25530
169240.37.21.0/27240.37.21.1 to 240.37.21.30240.37.21.3130
170240.37.21.32/27240.37.21.33 to 240.37.21.62240.37.21.6330
171240.37.21.64/27240.37.21.65 to 240.37.21.94240.37.21.9530
172240.37.21.96/27240.37.21.97 to 240.37.21.126240.37.21.12730
173240.37.21.128/27240.37.21.129 to 240.37.21.158240.37.21.15930
174240.37.21.160/27240.37.21.161 to 240.37.21.190240.37.21.19130
175240.37.21.192/27240.37.21.193 to 240.37.21.222240.37.21.22330
176240.37.21.224/27240.37.21.225 to 240.37.21.254240.37.21.25530
177240.37.22.0/27240.37.22.1 to 240.37.22.30240.37.22.3130
178240.37.22.32/27240.37.22.33 to 240.37.22.62240.37.22.6330
179240.37.22.64/27240.37.22.65 to 240.37.22.94240.37.22.9530
180240.37.22.96/27240.37.22.97 to 240.37.22.126240.37.22.12730
181240.37.22.128/27240.37.22.129 to 240.37.22.158240.37.22.15930
182240.37.22.160/27240.37.22.161 to 240.37.22.190240.37.22.19130
183240.37.22.192/27240.37.22.193 to 240.37.22.222240.37.22.22330
184240.37.22.224/27240.37.22.225 to 240.37.22.254240.37.22.25530
185240.37.23.0/27240.37.23.1 to 240.37.23.30240.37.23.3130
186240.37.23.32/27240.37.23.33 to 240.37.23.62240.37.23.6330
187240.37.23.64/27240.37.23.65 to 240.37.23.94240.37.23.9530
188240.37.23.96/27240.37.23.97 to 240.37.23.126240.37.23.12730
189240.37.23.128/27240.37.23.129 to 240.37.23.158240.37.23.15930
190240.37.23.160/27240.37.23.161 to 240.37.23.190240.37.23.19130
191240.37.23.192/27240.37.23.193 to 240.37.23.222240.37.23.22330
192240.37.23.224/27240.37.23.225 to 240.37.23.254240.37.23.25530
193240.37.24.0/27240.37.24.1 to 240.37.24.30240.37.24.3130
194240.37.24.32/27240.37.24.33 to 240.37.24.62240.37.24.6330
195240.37.24.64/27240.37.24.65 to 240.37.24.94240.37.24.9530
196240.37.24.96/27240.37.24.97 to 240.37.24.126240.37.24.12730
197240.37.24.128/27240.37.24.129 to 240.37.24.158240.37.24.15930
198240.37.24.160/27240.37.24.161 to 240.37.24.190240.37.24.19130
199240.37.24.192/27240.37.24.193 to 240.37.24.222240.37.24.22330
200240.37.24.224/27240.37.24.225 to 240.37.24.254240.37.24.25530
201240.37.25.0/27240.37.25.1 to 240.37.25.30240.37.25.3130
202240.37.25.32/27240.37.25.33 to 240.37.25.62240.37.25.6330
203240.37.25.64/27240.37.25.65 to 240.37.25.94240.37.25.9530
204240.37.25.96/27240.37.25.97 to 240.37.25.126240.37.25.12730
205240.37.25.128/27240.37.25.129 to 240.37.25.158240.37.25.15930
206240.37.25.160/27240.37.25.161 to 240.37.25.190240.37.25.19130
207240.37.25.192/27240.37.25.193 to 240.37.25.222240.37.25.22330
208240.37.25.224/27240.37.25.225 to 240.37.25.254240.37.25.25530
209240.37.26.0/27240.37.26.1 to 240.37.26.30240.37.26.3130
210240.37.26.32/27240.37.26.33 to 240.37.26.62240.37.26.6330
211240.37.26.64/27240.37.26.65 to 240.37.26.94240.37.26.9530
212240.37.26.96/27240.37.26.97 to 240.37.26.126240.37.26.12730
213240.37.26.128/27240.37.26.129 to 240.37.26.158240.37.26.15930
214240.37.26.160/27240.37.26.161 to 240.37.26.190240.37.26.19130
215240.37.26.192/27240.37.26.193 to 240.37.26.222240.37.26.22330
216240.37.26.224/27240.37.26.225 to 240.37.26.254240.37.26.25530
217240.37.27.0/27240.37.27.1 to 240.37.27.30240.37.27.3130
218240.37.27.32/27240.37.27.33 to 240.37.27.62240.37.27.6330
219240.37.27.64/27240.37.27.65 to 240.37.27.94240.37.27.9530
220240.37.27.96/27240.37.27.97 to 240.37.27.126240.37.27.12730
221240.37.27.128/27240.37.27.129 to 240.37.27.158240.37.27.15930
222240.37.27.160/27240.37.27.161 to 240.37.27.190240.37.27.19130
223240.37.27.192/27240.37.27.193 to 240.37.27.222240.37.27.22330
224240.37.27.224/27240.37.27.225 to 240.37.27.254240.37.27.25530
225240.37.28.0/27240.37.28.1 to 240.37.28.30240.37.28.3130
226240.37.28.32/27240.37.28.33 to 240.37.28.62240.37.28.6330
227240.37.28.64/27240.37.28.65 to 240.37.28.94240.37.28.9530
228240.37.28.96/27240.37.28.97 to 240.37.28.126240.37.28.12730
229240.37.28.128/27240.37.28.129 to 240.37.28.158240.37.28.15930
230240.37.28.160/27240.37.28.161 to 240.37.28.190240.37.28.19130
231240.37.28.192/27240.37.28.193 to 240.37.28.222240.37.28.22330
232240.37.28.224/27240.37.28.225 to 240.37.28.254240.37.28.25530
233240.37.29.0/27240.37.29.1 to 240.37.29.30240.37.29.3130
234240.37.29.32/27240.37.29.33 to 240.37.29.62240.37.29.6330
235240.37.29.64/27240.37.29.65 to 240.37.29.94240.37.29.9530
236240.37.29.96/27240.37.29.97 to 240.37.29.126240.37.29.12730
237240.37.29.128/27240.37.29.129 to 240.37.29.158240.37.29.15930
238240.37.29.160/27240.37.29.161 to 240.37.29.190240.37.29.19130
239240.37.29.192/27240.37.29.193 to 240.37.29.222240.37.29.22330
240240.37.29.224/27240.37.29.225 to 240.37.29.254240.37.29.25530
241240.37.30.0/27240.37.30.1 to 240.37.30.30240.37.30.3130
242240.37.30.32/27240.37.30.33 to 240.37.30.62240.37.30.6330
243240.37.30.64/27240.37.30.65 to 240.37.30.94240.37.30.9530
244240.37.30.96/27240.37.30.97 to 240.37.30.126240.37.30.12730
245240.37.30.128/27240.37.30.129 to 240.37.30.158240.37.30.15930
246240.37.30.160/27240.37.30.161 to 240.37.30.190240.37.30.19130
247240.37.30.192/27240.37.30.193 to 240.37.30.222240.37.30.22330
248240.37.30.224/27240.37.30.225 to 240.37.30.254240.37.30.25530
249240.37.31.0/27240.37.31.1 to 240.37.31.30240.37.31.3130
250240.37.31.32/27240.37.31.33 to 240.37.31.62240.37.31.6330
251240.37.31.64/27240.37.31.65 to 240.37.31.94240.37.31.9530
252240.37.31.96/27240.37.31.97 to 240.37.31.126240.37.31.12730
253240.37.31.128/27240.37.31.129 to 240.37.31.158240.37.31.15930
254240.37.31.160/27240.37.31.161 to 240.37.31.190240.37.31.19130
255240.37.31.192/27240.37.31.193 to 240.37.31.222240.37.31.22330
256240.37.31.224/27240.37.31.225 to 240.37.31.254240.37.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses